using UnityEngine;
using TMPro;    

public class AudioTalent : MonoBehaviour
{
    public AudioSource audioSource;
    public TMP_Text buttonText; // Vedä napin tekstikomponentti tähän Inspectorissa.

    public void ToggleMusic()
    {
        if (audioSource != null)
        {
            if (audioSource.isPlaying)
            {
                audioSource.Stop();
                if (buttonText != null) buttonText.text = "Play"; // Päivitä napin teksti.
            }
            else
            {
                audioSource.Play();
                if (buttonText != null) buttonText.text = "Stop"; // Päivitä napin teksti.
            }
        }
        else
        {
            Debug.LogWarning("AudioSource ei ole asetettu.");
        }
    }
}
